***LABEL VARIABLES***.

Variable Labels	
shareprice_DE_avgmonth 'Stock Price: John Deere'	
shareprice_CNH_avgmonth 'Stock Price: CNH'	
shareprice_CAT_avgmonth 'Stock Price: Caterpillar'	
shareprice_AGCO_avgmonth 'Stock Price: AGCO'	
shareprice_SPX_avgmonth 'Stock Price: SP 500'	
shareprice_DE_avgmonth_norm 'Stock Price: John Deere'	
shareprice_CNH_avgmonth_norm 'Stock Price: CNH'	
shareprice_CAT_avgmonth_norm 'Stock Price: Caterpillar'	
shareprice_AGCO_avgmonth_norm 'Stock Price: AGCO'	
shareprice_CATEGORY_avgmonth_norm 'Stock Price: Tractor Category'	
shareprice_CATEGORYxJD_avgmonth_norm 'Stock Price: Tractor Category Excluding John Deere'	
ES_FieldGrain_quarterly 'Ending Stock: Field Grain'	
ES_Corn_quarterly 'Ending Stock: Corn'	
ES_Sorghum_quarterly 'Ending Stock: Sorghum'	
ES_Barley_quarterly 'Ending Stock: Barley'	
ES_Oats_quarterly 'Ending Stock: Oats'	
ES_FieldGrain_annual 'Ending Stock: Field Grain'	
ES_Corn_annual 'Ending Stock: Corn'	
ES_Sorghum_annual 'Ending Stock: Sorghum'	
ES_Barley_annual 'Ending Stock: Barley'	
ES_Oats_annual 'Ending Stock: Oats'	
supply_FieldGrain_quarterly 'Total Supply: Field Grain'	
supply_Corn_quarterly 'Total Supply: Corn'	
supply_Sorghum_quarterly 'Total Supply: Sorghum'	
supply_Barley_quarterly 'Total Supply: Barley'	
supply_Oats_quarterly 'Total Supply: Oats'	
supply_FieldGrain_annual 'Total Supply: Field Grain'	
supply_Corn_annual 'Total Supply: Corn'	
supply_Sorghum_annual 'Total Supply: Sorghum'	
supply_Barley_annual 'Total Supply: Barley'	
supply_Oats_annual 'Total Supply: Oats'	
pci_Corn 'Price: Corn'	
pci_Soybean 'Price: Soybean'	
pci_Wheat 'Price: Wheat'	
sls_Tractor_units 'Sales: Tractor'	
sls_Combines_units 'Sales: Combines'	.	



***LAG VARIABLES***.

DEFINE LagVar_dai (!POSITIONAL !enclose( '(' , ')' )  /!POSITIONAL !enclose( '(' , ')' ) ).

!DO !PROD !IN (!2).
    !DO !LAG !IN (!1).

	!LET !VARNAME = !CONCAT(!prod,'_Lag',!LAG).

!let !varlabl = !concat('Lagged ',!prod,' by ',!LAG).
    
    Compute #LAG = !LAG.
    Compute #prod = !prod.

Compute #lagged = 0.
	IF Province_code EQ LAG(Province_code,!lag) #Lagged = Lag(#prod, !LAG).
	compute !varname = #lagged.
	variable labels !varname !varlabl.
	execute.

!DOEND.
!DOEND.
!ENDDEFINE.

compute Province_code = 1.
exe.


LagVar_DAI (001 002 003 004 005 006) (shareprice_SPX_avgmonth
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
pci_Corn
pci_Soybean
pci_Wheat
sls_Tractor_units
sls_Combines_units).



LagVar_DAI (001 002 003 004 005 006) (sls_Tractor_units_annual
sls_Combines_units_annual).


***RUN DESCRIPTIVES & CORRELATIONS***.


Means tables=
shareprice_DE_avgmonth
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_DE_avgmonth_norm
shareprice_CNH_avgmonth_norm
shareprice_CAT_avgmonth_norm
shareprice_AGCO_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
by month
/cells mean.

CORRELATIONS
  /VARIABLES=
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_DE_avgmonth_norm
shareprice_CNH_avgmonth_norm
shareprice_CAT_avgmonth_norm
shareprice_AGCO_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
with shareprice_DE_avgmonth
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=
shareprice_DE_avgmonth
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_DE_avgmonth_norm
shareprice_CNH_avgmonth_norm
shareprice_CAT_avgmonth_norm
shareprice_AGCO_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .


CORRELATIONS
  /VARIABLES=
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_DE_avgmonth_norm
shareprice_CNH_avgmonth_norm
shareprice_CAT_avgmonth_norm
shareprice_AGCO_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
pci_Corn
pci_Soybean
pci_Wheat
sls_Tractor_units
sls_Combines_units
sls_Tractor_units_annual
sls_Combines_units_annual
with shareprice_DE_avgmonth
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=
shareprice_DE_avgmonth
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_DE_avgmonth_norm
shareprice_CNH_avgmonth_norm
shareprice_CAT_avgmonth_norm
shareprice_AGCO_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
pci_Corn
pci_Soybean
pci_Wheat
sls_Tractor_units
sls_Combines_units
sls_Tractor_units_annual
sls_Combines_units_annual
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

CORRELATIONS
  /VARIABLES=
ES_Barley_annual	
ES_Corn_annual	
supply_Barley_annual	
supply_Corn_annual	
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE .

***DATE FILTERS***.


****PUT FILTER ON  FOR COMMON TIME PERIOD AMONG VARIABLES (EXCLUDING FARM EQUIPMENT)***.


USE ALL.
COMPUTE filter_$=(Month >= date.mdy (01,01,1960) & month < date.mdy (06,01,2013)).
VARIABLE LABEL filter_$ 'Month >= date.mdy (01,01,1960) & month < date.mdy (06,01,2013) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



USE ALL.
COMPUTE filter_$=(Month >= date.mdy (01,01,1976) & month < date.mdy (06,01,2013)).
VARIABLE LABEL filter_$ 'Month >= date.mdy (01,01,1976) & month < date.mdy (06,01,2013) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .




***FILTER FOR FARM EQUIPMENT SALES TIME PERIOD***.

USE ALL.
COMPUTE filter_$=(Month >= date.mdy (11,01,2002) & month <= date.mdy (06,01,2013)).
VARIABLE LABEL filter_$ 'Month >= date.mdy (11,01,2002) & month <= date.mdy (06,01,2013) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


****TEST JOHN DEERE STOCK PRICE VARIABLES***.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
shareprice_CNH_avgmonth 
shareprice_CNH_avgmonth
shareprice_CAT_avgmonth
shareprice_AGCO_avgmonth
shareprice_SPX_avgmonth
shareprice_CATEGORY_avgmonth_norm .

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
shareprice_SPX_avgmonth
shareprice_CATEGORY_avgmonth_norm .


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
shareprice_CATEGORYxJD_avgmonth_norm
shareprice_SPX_avgmonth.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
shareprice_CATEGORYxJD_avgmonth_norm
/stepwise
shareprice_SPX_avgmonth.


****Regress Ending Stock VARIABLES***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
ES_Oats_quarterly	
ES_Sorghum_quarterly	
ES_Corn_quarterly	
/stepwise
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_Corn_annual
ES_Barley_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual.



***REGRESSION: TOTAL SUPPLY VARIABLES***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
supply_Oats_quarterly	
supply_Sorghum_quarterly	
supply_Corn_quarterly	
  /stepwise
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual.


****REGRESSION: GRAIN PRICE***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
pci_Corn
pci_Soybean
pci_Wheat.


****REGRESSION: FARM EQUIPMENT SALES***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
sls_Tractor_units
sls_Combines_units.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
sls_Tractor_units.
sls_Combines_units.



********REGRESSION: ANY VARIABLES******.


***APPLY FILTER FOR WHEN ENDING STOCK DATA IS AVAILABLE***.

**DATA STARTS Jan 1 1976 so filter ***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /stepwise
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
pci_Corn
pci_Soybean
pci_Wheat.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
ES_Oats_annual	
supply_Corn_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
ES_Oats_annual	
supply_Corn_annual
/stepwise
shareprice_CATEGORYxJD_avgmonth_norm
shareprice_SPX_avgmonth.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
ES_Oats_annual	
supply_Corn_annual
/stepwise
shareprice_SPX_avgmonth.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
supply_Corn_annual
shareprice_CATEGORYxJD_avgmonth_norm.




REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
  /enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
ES_Oats_annual	
supply_Corn_annual
/stepwise
sls_Tractor_units
sls_Combines_units.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean	
ES_Oats_annual	
supply_Corn_annual
sls_Combines_units.


***BEST MODELS BY CATEGORY***.

use all.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
shareprice_CATEGORY_avgmonth_norm	
shareprice_SPX_avgmonth.	


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
shareprice_CATEGORYxJD_avgmonth_norm.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
shareprice_CATEGORYxJD_avgmonth_norm.



REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_Barley_annual	
ES_Corn_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
supply_Barley_annual	
supply_Corn_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean.




REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
sls_Combines_units.



***BEST AGGREGATE MODEL***.




REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
ES_Oats_annual	
supply_Corn_annual	.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
supply_Corn_annual	
shareprice_CATEGORYxJD_avgmonth_norm.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean	
ES_Barley_annual	
supply_Corn_annual	
shareprice_CATEGORYxJD_avgmonth_norm	.
/stepwise	
sls_Tractor_units_annual
sls_Combines_units_annual.


***TEST LAGGED VARIABLES FROM BEST MODEL***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
pci_Soybean	
supply_Corn_annual
ES_Barley_annual
/stepwise
ES_Oats_annual	
supply_Oats_annual_Lag006.

pci_Wheat	
pci_Wheat_Lag001
pci_Wheat_Lag002
pci_Wheat_Lag003
pci_Wheat_Lag004
pci_Wheat_Lag005
pci_Wheat_Lag006
pci_Soybean	
pci_Soybean_Lag001
pci_Soybean_Lag002
pci_Soybean_Lag003
pci_Soybean_Lag004
pci_Soybean_Lag005
pci_Soybean_Lag006
ES_Barley_annual	
ES_Barley_annual_Lag001
ES_Barley_annual_Lag002
ES_Barley_annual_Lag003
ES_Barley_annual_Lag004
ES_Barley_annual_Lag005
ES_Barley_annual_Lag006
supply_Corn_annual	
supply_Corn_annual_Lag001
supply_Corn_annual_Lag002
supply_Corn_annual_Lag003
supply_Corn_annual_Lag004
supply_Corn_annual_Lag005
supply_Corn_annual_Lag006
supply_Oats_annual
supply_Oats_annual_Lag001
supply_Oats_annual_Lag002
supply_Oats_annual_Lag003
supply_Oats_annual_Lag004
supply_Oats_annual_Lag005
supply_Oats_annual_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
pci_Wheat	
pci_Wheat_Lag001
pci_Wheat_Lag002
pci_Wheat_Lag003
pci_Wheat_Lag004
pci_Wheat_Lag005
pci_Wheat_Lag006
pci_Soybean	
pci_Soybean_Lag001
pci_Soybean_Lag002
pci_Soybean_Lag003
pci_Soybean_Lag004
pci_Soybean_Lag005
pci_Soybean_Lag006
ES_Barley_annual	
ES_Barley_annual_Lag001
ES_Barley_annual_Lag002
ES_Barley_annual_Lag003
ES_Barley_annual_Lag004
ES_Barley_annual_Lag005
ES_Barley_annual_Lag006
supply_Corn_annual	
ES_Corn_annual_Lag001
ES_Corn_annual_Lag002
ES_Corn_annual_Lag003
ES_Corn_annual_Lag004
ES_Corn_annual_Lag005
ES_Corn_annual_Lag006
shareprice_CATEGORYxJD_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm_Lag001
shareprice_CATEGORYxJD_avgmonth_norm_Lag002
shareprice_CATEGORYxJD_avgmonth_norm_Lag003
shareprice_CATEGORYxJD_avgmonth_norm_Lag004
shareprice_CATEGORYxJD_avgmonth_norm_Lag005
shareprice_CATEGORYxJD_avgmonth_norm_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
shareprice_CATEGORYxJD_avgmonth_norm	
pci_Wheat	
ES_Corn_annual_Lag005	
ES_Barley_annual_Lag006	
pci_Soybean	
pci_Wheat_Lag006.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
shareprice_CATEGORYxJD_avgmonth_norm	
pci_Wheat	
ES_Corn_annual_Lag005	
ES_Barley_annual_Lag006	
pci_Soybean.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
sls_Combines_units_Lag001
sls_Combines_units_Lag002
sls_Combines_units_Lag003
sls_Combines_units_Lag004
sls_Combines_units_Lag005
sls_Combines_units_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
pci_Corn
pci_Corn_Lag001
pci_Corn_Lag002
pci_Corn_Lag003
pci_Corn_Lag004
pci_Corn_Lag005
pci_Corn_Lag006
pci_Soybean
pci_Soybean_Lag001
pci_Soybean_Lag002
pci_Soybean_Lag003
pci_Soybean_Lag004
pci_Soybean_Lag005
pci_Soybean_Lag006
pci_Wheat
pci_Wheat_Lag001
pci_Wheat_Lag002
pci_Wheat_Lag003
pci_Wheat_Lag004
pci_Wheat_Lag005
pci_Wheat_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
supply_FieldGrain_quarterly_Lag001
supply_FieldGrain_quarterly_Lag002
supply_FieldGrain_quarterly_Lag003
supply_FieldGrain_quarterly_Lag004
supply_FieldGrain_quarterly_Lag005
supply_FieldGrain_quarterly_Lag006
supply_Corn_quarterly_Lag001
supply_Corn_quarterly_Lag002
supply_Corn_quarterly_Lag003
supply_Corn_quarterly_Lag004
supply_Corn_quarterly_Lag005
supply_Corn_quarterly_Lag006
supply_Sorghum_quarterly_Lag001
supply_Sorghum_quarterly_Lag002
supply_Sorghum_quarterly_Lag003
supply_Sorghum_quarterly_Lag004
supply_Sorghum_quarterly_Lag005
supply_Sorghum_quarterly_Lag006
supply_Barley_quarterly_Lag001
supply_Barley_quarterly_Lag002
supply_Barley_quarterly_Lag003
supply_Barley_quarterly_Lag004
supply_Barley_quarterly_Lag005
supply_Barley_quarterly_Lag006
supply_Oats_quarterly_Lag001
supply_Oats_quarterly_Lag002
supply_Oats_quarterly_Lag003
supply_Oats_quarterly_Lag004
supply_Oats_quarterly_Lag005
supply_Oats_quarterly_Lag006
supply_FieldGrain_annual_Lag001
supply_FieldGrain_annual_Lag002
supply_FieldGrain_annual_Lag003
supply_FieldGrain_annual_Lag004
supply_FieldGrain_annual_Lag005
supply_FieldGrain_annual_Lag006
supply_Corn_annual_Lag001
supply_Corn_annual_Lag002
supply_Corn_annual_Lag003
supply_Corn_annual_Lag004
supply_Corn_annual_Lag005
supply_Corn_annual_Lag006
supply_Sorghum_annual_Lag001
supply_Sorghum_annual_Lag002
supply_Sorghum_annual_Lag003
supply_Sorghum_annual_Lag004
supply_Sorghum_annual_Lag005
supply_Sorghum_annual_Lag006
supply_Barley_annual_Lag001
supply_Barley_annual_Lag002
supply_Barley_annual_Lag003
supply_Barley_annual_Lag004
supply_Barley_annual_Lag005
supply_Barley_annual_Lag006
supply_Oats_annual_Lag001
supply_Oats_annual_Lag002
supply_Oats_annual_Lag003
supply_Oats_annual_Lag004
supply_Oats_annual_Lag005
supply_Oats_annual_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
supply_Barley_annual_Lag001	
supply_Corn_annual_Lag001.	


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
ES_FieldGrain_quarterly_Lag001
ES_FieldGrain_quarterly_Lag002
ES_FieldGrain_quarterly_Lag003
ES_FieldGrain_quarterly_Lag004
ES_FieldGrain_quarterly_Lag005
ES_FieldGrain_quarterly_Lag006
ES_Corn_quarterly_Lag001
ES_Corn_quarterly_Lag002
ES_Corn_quarterly_Lag003
ES_Corn_quarterly_Lag004
ES_Corn_quarterly_Lag005
ES_Corn_quarterly_Lag006
ES_Sorghum_quarterly_Lag001
ES_Sorghum_quarterly_Lag002
ES_Sorghum_quarterly_Lag003
ES_Sorghum_quarterly_Lag004
ES_Sorghum_quarterly_Lag005
ES_Sorghum_quarterly_Lag006
ES_Barley_quarterly_Lag001
ES_Barley_quarterly_Lag002
ES_Barley_quarterly_Lag003
ES_Barley_quarterly_Lag004
ES_Barley_quarterly_Lag005
ES_Barley_quarterly_Lag006
ES_Oats_quarterly_Lag001
ES_Oats_quarterly_Lag002
ES_Oats_quarterly_Lag003
ES_Oats_quarterly_Lag004
ES_Oats_quarterly_Lag005
ES_Oats_quarterly_Lag006
ES_FieldGrain_annual_Lag001
ES_FieldGrain_annual_Lag002
ES_FieldGrain_annual_Lag003
ES_FieldGrain_annual_Lag004
ES_FieldGrain_annual_Lag005
ES_FieldGrain_annual_Lag006
ES_Corn_annual_Lag001
ES_Corn_annual_Lag002
ES_Corn_annual_Lag003
ES_Corn_annual_Lag004
ES_Corn_annual_Lag005
ES_Corn_annual_Lag006
ES_Sorghum_annual_Lag001
ES_Sorghum_annual_Lag002
ES_Sorghum_annual_Lag003
ES_Sorghum_annual_Lag004
ES_Sorghum_annual_Lag005
ES_Sorghum_annual_Lag006
ES_Barley_annual_Lag001
ES_Barley_annual_Lag002
ES_Barley_annual_Lag003
ES_Barley_annual_Lag004
ES_Barley_annual_Lag005
ES_Barley_annual_Lag006
ES_Oats_annual_Lag001
ES_Oats_annual_Lag002
ES_Oats_annual_Lag003
ES_Oats_annual_Lag004
ES_Oats_annual_Lag005
ES_Oats_annual_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
ES_Barley_annual_Lag001	
ES_Corn_annual_Lag001.	

use all.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
shareprice_CATEGORYxJD_avgmonth_norm
shareprice_CATEGORYxJD_avgmonth_norm_Lag001
shareprice_CATEGORYxJD_avgmonth_norm_Lag002
shareprice_CATEGORYxJD_avgmonth_norm_Lag003
shareprice_CATEGORYxJD_avgmonth_norm_Lag004
shareprice_CATEGORYxJD_avgmonth_norm_Lag005
shareprice_CATEGORYxJD_avgmonth_norm_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
shareprice_SPX_avgmonth
shareprice_SPX_avgmonth_Lag001
shareprice_SPX_avgmonth_Lag002
shareprice_SPX_avgmonth_Lag003
shareprice_SPX_avgmonth_Lag004
shareprice_SPX_avgmonth_Lag005
shareprice_SPX_avgmonth_Lag006
shareprice_CATEGORY_avgmonth_norm
shareprice_CATEGORY_avgmonth_norm_Lag001
shareprice_CATEGORY_avgmonth_norm_Lag002
shareprice_CATEGORY_avgmonth_norm_Lag003
shareprice_CATEGORY_avgmonth_norm_Lag004
shareprice_CATEGORY_avgmonth_norm_Lag005
shareprice_CATEGORY_avgmonth_norm_Lag006.



***TRY TO LOWER VIF***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
ES_FieldGrain_quarterly
ES_Corn_quarterly
ES_Sorghum_quarterly
ES_Barley_quarterly
ES_Oats_quarterly
ES_FieldGrain_annual
ES_Corn_annual
ES_Sorghum_annual
ES_Barley_annual
ES_Oats_annual
supply_FieldGrain_quarterly
supply_Corn_quarterly
supply_Sorghum_quarterly
supply_Barley_quarterly
supply_Oats_quarterly
supply_FieldGrain_annual
supply_Corn_annual
supply_Sorghum_annual
supply_Barley_annual
supply_Oats_annual
pci_Corn
pci_Soybean
pci_Wheat
sls_Tractor_units
sls_Combines_units.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
ES_Oats_annual	
ES_Corn_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
ES_Oats_annual	
ES_Corn_annual
/stepwise
shareprice_CATEGORYxJD_avgmonth_norm.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat
supply_Corn_annual
ES_Barley_annual
/stepwise


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat
supply_Corn_annual
ES_Barley_annual.
shareprice_CATEGORYxJD_avgmonth_norm.




REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
pci_Wheat_Lag001
pci_Wheat_Lag002
pci_Wheat_Lag003
pci_Wheat_Lag004
pci_Wheat_Lag005
pci_Wheat_Lag006
supply_Corn_annual
supply_Corn_annual_Lag001
supply_Corn_annual_Lag002
supply_Corn_annual_Lag003
supply_Corn_annual_Lag004
supply_Corn_annual_Lag005
supply_Corn_annual_Lag006
ES_Barley_annual
ES_Barley_annual_Lag001
ES_Barley_annual_Lag002
ES_Barley_annual_Lag003
ES_Barley_annual_Lag004
ES_Barley_annual_Lag005
ES_Barley_annual_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat_Lag006
supply_Corn_annual_Lag006
ES_Barley_annual_Lag006.



REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_Wheat	
supply_Corn_annual	
ES_Barley_annual
/stepwise
shareprice_CATEGORYxJD_avgmonth_norm.


***TEST ANNUAL FARM UNIT SALES AND MONTH DUMMY***.

USE ALL.
COMPUTE filter_$=(Month >= date.mdy (01,01,2003)).
VARIABLE LABEL filter_$ 'Month >= date.mdy (01,01,2003) (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
sls_Tractor_units
sls_Combines_units
sls_Tractor_units_annual
sls_Combines_units_annual.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
sls_Combines_units_annual.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
sls_Combines_units_annual.

sls_Combines_units_annual_Lag003
/stepwise
sls_Tractor_units_annual
sls_Combines_units_annual
sls_Tractor_units_annual_Lag001
sls_Tractor_units_annual_Lag002
sls_Tractor_units_annual_Lag003
sls_Tractor_units_annual_Lag004
sls_Tractor_units_annual_Lag005
sls_Tractor_units_annual_Lag006
sls_Combines_units_annual_Lag001
sls_Combines_units_annual_Lag002
sls_Combines_units_annual_Lag003
sls_Combines_units_annual_Lag004
sls_Combines_units_annual_Lag005
sls_Combines_units_annual_Lag006.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
sls_Combines_units_annual_Lag006	
sls_Tractor_units_annual	
.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
January
February
March
April
May
June
July
August
September
October
November
December.



REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10) TOL (0.5)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/stepwise
sls_Tractor_units
sls_Combines_units
sls_Tractor_units_annual
sls_Combines_units_annual
January
February
March
April
May
June
July
August
September
October
November
December.

***BEST MODEL LOWER VIF***.


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA COLLIN TOL
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT shareprice_DE_avgmonth
/enter
pci_wheat
supply_corn_annual
es_barley_annual
shareprice_CATEGORYxJD_avgmonth_norm.